Get Template
curl --request GET \
--url https://sandbox.axle.insure/validation/templates/{id} \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.axle.insure/validation/templates/{id}"
headers = {
"x-client-id": "<x-client-id>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', 'x-client-secret': '<api-key>'}
};
fetch('https://sandbox.axle.insure/validation/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "tem_jsK9vrCIfABlCW7PqIknc",
"displayName": "Example Template",
"createdAt": "2025-06-10T13:57:22.300Z",
"modifiedAt": "2025-06-10T13:57:22.300Z",
"rules": [
{
"rule": "policy-active"
},
{
"rule": "collision-coverage-meets-requirements",
"input": {
"deductible": {
"source": "maxDeductible",
"default": "500"
}
}
}
],
"metadata": {
"locationId": "123"
}
}
}{
"success": false,
"message": "Input validation failed due to one or more missing or invalid parameters. Review the request and try again."
}{
"message": "You do not have permission to access this template"
}{
"message": "Requested entity not found"
}{
"message": "Too Many Requests"
}Templates
Get Template
The Get Template endpoint returns template object for provided template ID.
GET
/
validation
/
templates
/
{id}
Get Template
Authorizations
Your secret API key. This will be shared with you during onboarding and should be considered sensitive - it’s a password after all! Your secret will be matched with your client ID to authenticate your requests.
Headers
Your client ID. This will be shared with you during onboarding.
The client ID of the destination client. This is optional and only used by platform clients. See the Axle for Platforms guide for more information.
Path Parameters
The unique ID of the Validation template.
Response
Indicates whether the operation was performed successfully.
Example:
true
Validation Template object for client.
Show child attributes
Show child attributes
Example:
{
"id": "tem_jsK9vrCIfABlCW7PqIknc",
"displayName": "Example Template",
"createdAt": "2025-06-10T13:57:22.300Z",
"modifiedAt": "2025-06-10T13:57:22.300Z",
"rules": [
{ "rule": "policy-active" },
{
"rule": "collision-coverage-meets-requirements",
"input": {
"deductible": {
"source": "maxDeductible",
"default": "500"
}
}
}
],
"metadata": { "locationId": "123" }
}
Was this page helpful?
⌘I